Get IndexNow key
curl --request GET \
--url https://api.aranx.com/api/v1/public/indexnow \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aranx.com/api/v1/public/indexnow"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aranx.com/api/v1/public/indexnow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aranx.com/api/v1/public/indexnow",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aranx.com/api/v1/public/indexnow"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aranx.com/api/v1/public/indexnow")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aranx.com/api/v1/public/indexnow")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"key": "3f2a9c41d07e4b6a8c5d2e1f0a9b8c7d",
"key_file": "3f2a9c41d07e4b6a8c5d2e1f0a9b8c7d.txt",
"hosts": [
{
"host": "www.example.com",
"key_file_url": "https://www.example.com/3f2a9c41d07e4b6a8c5d2e1f0a9b8c7d.txt",
"status": "verified",
"last_checked_at": "2026-11-19T10:00:00.000Z",
"last_verified_at": "2026-11-19T10:00:00.000Z",
"last_error": null
}
]
}{
"error": "Invalid API key"
}{
"error": "API access suspended: subscription inactive"
}{
"error": "Rate limit exceeded"
}IndexNow
Get IndexNow Key
Returns the IndexNow key of your website and the key file status of each host
GET
/
api
/
v1
/
public
/
indexnow
Get IndexNow key
curl --request GET \
--url https://api.aranx.com/api/v1/public/indexnow \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aranx.com/api/v1/public/indexnow"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aranx.com/api/v1/public/indexnow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aranx.com/api/v1/public/indexnow",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aranx.com/api/v1/public/indexnow"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aranx.com/api/v1/public/indexnow")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aranx.com/api/v1/public/indexnow")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"key": "3f2a9c41d07e4b6a8c5d2e1f0a9b8c7d",
"key_file": "3f2a9c41d07e4b6a8c5d2e1f0a9b8c7d.txt",
"hosts": [
{
"host": "www.example.com",
"key_file_url": "https://www.example.com/3f2a9c41d07e4b6a8c5d2e1f0a9b8c7d.txt",
"status": "verified",
"last_checked_at": "2026-11-19T10:00:00.000Z",
"last_verified_at": "2026-11-19T10:00:00.000Z",
"last_error": null
}
]
}{
"error": "Invalid API key"
}{
"error": "API access suspended: subscription inactive"
}{
"error": "Rate limit exceeded"
}GET /api/v1/public/indexnow
Example request
const response = await fetch('https://api.aranx.com/api/v1/public/indexnow', {
headers: { Authorization: 'Bearer YOUR_API_KEY' }
});
const data = await response.json();
import requests
response = requests.get(
"https://api.aranx.com/api/v1/public/indexnow",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
data = response.json()
curl -H "Authorization: Bearer YOUR_API_KEY" \
https://api.aranx.com/api/v1/public/indexnow
Response
{
"key": "3f2a9c41d07e4b6a8c5d2e1f0a9b8c7d",
"key_file": "3f2a9c41d07e4b6a8c5d2e1f0a9b8c7d.txt",
"hosts": [
{
"host": "www.example.com",
"key_file_url": "https://www.example.com/3f2a9c41d07e4b6a8c5d2e1f0a9b8c7d.txt",
"status": "verified",
"last_checked_at": "2026-11-19T10:00:00.000Z",
"last_verified_at": "2026-11-19T10:00:00.000Z",
"last_error": null
}
]
}
Response fields
| Field | Type | Description |
|---|---|---|
key | string | The IndexNow key: 32 hexadecimal characters |
key_file | string | Name of the key file, {key}.txt |
hosts | array | Hosts that Aranx submits URLs for. The first item is the host of the connection’s site URL |
hosts[].host | string | Host name. www.example.com and example.com are separate hosts |
hosts[].key_file_url | string | URL where Aranx checks the key file |
hosts[].status | string | not_set_up, verified, or failing. See Host status |
hosts[].last_checked_at | string | null | When Aranx last checked the key file |
hosts[].last_verified_at | string | null | When the key file last passed the check |
hosts[].last_error | string | null | Short reason for the last failed check, for example "The key file returned HTTP 404." |
hosts when you report an article URL on that host with
Update Article.
Host status
| Status | Meaning |
|---|---|
not_set_up | The key file never passed a check. Aranx submits no URLs on this host |
verified | The last check passed. Aranx submits URLs on this host |
failing | The host was verified before or IndexNow rejected the key, and the key file no longer passes. Aranx stops submitting |
Error responses
| Status | Description |
|---|---|
401 | Missing or invalid API key |
403 | Subscription inactive |
429 | Rate limit exceeded |
Authorizations
Response
The IndexNow key and the status of each host.

